import httpRequest from '@/utils/axios'

/**
 * 获取应用列表
 */
export function getAppList(params) {
  return httpRequest.get('/api/permissions/admin/v1/applications', { params })
}
/**
 * 获取应用详情
 */
export function getApp(id, params) {
  return httpRequest.get(`/api/permissions/admin/v1/${id}/application`, { params })
}
/**
 * 创建应用
 */
export function createApp(data) {
  return httpRequest.post('/api/permissions/admin/v1/application', data)
}
/**
 * 更新应用
 */
export function updateApp(id, data) {
  return httpRequest.put(`/api/permissions/admin/v1/${id}/application`, data)
}
/**
 * 删除应用
 */
export function deleteApp(id, data) {
  return httpRequest.delete(`/api/permissions/admin/v1/${id}/application`, data)
}
/**
 * 更新应用签名秘钥
 */
export function updateAppSecretKey(id, data) {
  return httpRequest.patch(`/api/permissions/admin/v1/${id}/application/secret-key`, data)
}
